Subject: Re: bug#75964: Switching the Emacs build to -Wswitch-enum in src/

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Feb 2025 15:45:36 -0500

> So you want a device that would abort for unexpected values?

I want the compiler to consider this case as an error, rather than
a defined "this is an empty statement".

> Then why use switch at all?

Because you want to perform various operations depending on the value of
the enum (admittedly, in my example I performed the same op on all
values, but that's because I typed it by hand and got lazy).

        Stefan